Bug 2186675 - CVE-2022-48468 libsignal-protocol-c: protobuf-c: an unsigned integer overflow in parse_required_member [fedora-36]
Summary: CVE-2022-48468 libsignal-protocol-c: protobuf-c: an unsigned integer overflow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsignal-protocol-c
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-48468
TreeView+ depends on / blocked
 
Reported: 2023-04-14 05:45 UTC by Sandipan Roy
Modified: 2023-04-29 05:12 UTC (History)
2 users (show)

Fixed In Version: libsignal-protocol-c-2.3.3-9.fc39 libsignal-protocol-c-2.3.3-9.fc38 libsignal-protocol-c-2.3.3-8.el9 libsignal-protocol-c-2.3.3-8.el8 libsignal-protocol-c-2.3.3-8.fc37 libsignal-protocol-c-2.3.3-7.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-29 02:52:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-04-14 05:45:27 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2186673

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-04-14 05:45:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2186673,2186675

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-04-20 04:10:27 UTC
FEDORA-2023-4e094d5297 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e094d5297

Comment 3 Fedora Update System 2023-04-20 04:10:29 UTC
FEDORA-EPEL-2023-85fa59ae88 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-85fa59ae88

Comment 4 Fedora Update System 2023-04-20 04:10:32 UTC
FEDORA-EPEL-2023-4f43a624e1 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-4f43a624e1

Comment 5 Fedora Update System 2023-04-20 04:10:35 UTC
FEDORA-2023-8b0938312e has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b0938312e

Comment 6 Fedora Update System 2023-04-20 04:10:37 UTC
FEDORA-2023-6cfe134db6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cfe134db6

Comment 7 Fedora Update System 2023-04-21 02:21:32 UTC
FEDORA-EPEL-2023-85fa59ae88 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-85fa59ae88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-04-21 02:30:42 UTC
FEDORA-EPEL-2023-4f43a624e1 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-4f43a624e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-04-21 03:20:31 UTC
FEDORA-2023-4e094d5297 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4e094d5297`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e094d5297

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-04-21 03:38:30 UTC
FEDORA-2023-8b0938312e has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8b0938312e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b0938312e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-04-21 03:52:42 UTC
FEDORA-2023-6cfe134db6 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6cfe134db6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cfe134db6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Ben Cotton 2023-04-25 18:29:18 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 13 Fedora Update System 2023-04-29 02:52:26 UTC
FEDORA-2023-4e094d5297 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-04-29 03:47:14 UTC
FEDORA-EPEL-2023-85fa59ae88 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-04-29 03:48:32 UTC
FEDORA-EPEL-2023-4f43a624e1 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-04-29 04:41:53 UTC
FEDORA-2023-6cfe134db6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-04-29 05:12:05 UTC
FEDORA-2023-8b0938312e has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.